Package org.apache.catalina.valves.rewrite

## Interface RewriteMap

- All Known Implementing Classes:
    `InternalRewriteMap.Escape`, `InternalRewriteMap.LowerCase`, `InternalRewriteMap.Unescape`, `InternalRewriteMap.UpperCase`, `RandomizedTextRewriteMap`

      public interface RewriteMap

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `lookup​(java.lang.String key)` |
    `java.lang.String` | `setParameters​(java.lang.String params)` |

- - ### Method Detail

    - #### setParameters

          java.lang.String setParameters​(java.lang.String params)

    - #### lookup

          java.lang.String lookup​(java.lang.String key)